jif.types.label

## Interface ArgLabel

- All Superinterfaces:
    ActsForParam, java.lang.Cloneable, polyglot.util.Copy<polyglot.types.TypeObject>, Label, Param, java.io.Serializable, polyglot.types.TypeObject
  All Known Implementing Classes:
    ArgLabel_c

      public interface ArgLabel
      extends Label

  This label is used as a place-holder for method argument labels. The purpose is to avoid having to re-interpret labels at each call.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.types.VarInstance` | `formalInstance()`
    `java.lang.String` | `name()`
    `void` | `setCodeInstance(polyglot.types.CodeInstance ci)`
    `void` | `setName(java.lang.String name)`
    `void` | `setUpperBound(Label upperBound)`
    `Label` | `upperBound()`

    - ### Methods inherited from interface jif.types.label.Label

      `componentString, componentString, confProjection, copy, description, hasVariableComponents, hasVariables, hasWritersToReaders, integProjection, isBottom, isComparable, isCovariant, isDisambiguated, isEnumerable, isInvariant, isRuntimeRepresentable, isTop, labelCheck, leq_, normalize, setDescription, simplify, subst, throwTypes, toJava, toString, toString, variableComponents, variables`

    - ### Methods inherited from interface jif.types.ActsForParam

      `toJava`

    - ### Methods inherited from interface jif.types.Param

      `isCanonical, typeSystem`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `equalsImpl, position`

- - ### Method Detail

    - #### formalInstance

          polyglot.types.VarInstance formalInstance()

    - #### upperBound

          Label upperBound()

    - #### name

          java.lang.String name()

    - #### setName

          void setName(java.lang.String name)

    - #### setUpperBound

          void setUpperBound(Label upperBound)

    - #### setCodeInstance

          void setCodeInstance(polyglot.types.CodeInstance ci)